Skip to main content
PATCH
/
v1
/
leads
/
{id}
Update a lead
curl --request PATCH \
  --url https://api.propal.io/v1/leads/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "company": "<string>",
  "phone": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "siret": "<string>",
  "tva": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "email": "<string>",
  "company": "<string>",
  "phone": "<string>",
  "website": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "siret": "<string>",
  "tva": "<string>",
  "language": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.propal.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx

Path Parameters

id
string<uuid>
required

Lead UUID

Body

application/json
name
string
Required string length: 1 - 255
email
company
string
phone
string
address
string
city
string
state
string
zip
string
country
string
siret
string
tva
string

Response

Updated lead

id
string<uuid>
required
name
string
required
email
string | null
required
company
string | null
required
phone
string | null
required
website
string | null
required
address
string | null
required
city
string | null
required
state
string | null
required
zip
string | null
required
country
string | null
required
siret
string | null
required
tva
string | null
required
language
string | null
required
status
string
required
created_at
string
required
updated_at
string | null
required